org.apache.jmeter.protocol.http.sampler

## Class HTTPSampleResult

- java.lang.Object
- - org.apache.jmeter.samplers.SampleResult
  - - org.apache.jmeter.protocol.http.sampler.HTTPSampleResult

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable

      public class HTTPSampleResult
      extends SampleResult

  This is a specialisation of the SampleResult class for the HTTP protocol.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.samplers.SampleResult

      `BINARY, DEFAULT_ENCODING, DEFAULT_HTTP_ENCODING, TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPSampleResult()`
    `HTTPSampleResult(HTTPSampleResult res)` Construct a 'parent' result for an already-existing result, essentially cloning it
    `HTTPSampleResult(long elapsed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCookies()`
    `String` | `getDataEncodingNoDefault()` Overrides the method from SampleResult - so the encoding can be extracted from the Meta content-type if necessary.
    `String` | `getDataEncodingWithDefault(String defaultEncoding)` Overrides the method from SampleResult - so the encoding can be extracted from the Meta content-type if necessary.
    `String` | `getHTTPMethod()`
    `String` | `getQueryString()` Fetch the query string
    `String` | `getRedirectLocation()`
    `String` | `getSamplerData()` Overrides version in Sampler data to provide more details
    `List<String>` | `getSearchableTokens()` Get a list of all tokens that should be visible to searching
    `boolean` | `isRedirect()` Determine whether this result is a redirect.
    `void` | `setCookies(String string)`
    `void` | `setHTTPMethod(String method)`
    `void` | `setQueryString(String string)` Save the query string
    `void` | `setRedirectLocation(String redirectLocation)`
    `void` | `setResponseNoContent()`

    - ### Methods inherited from class org.apache.jmeter.samplers.SampleResult

      `addAssertionResult, addRawSubResult, addSubResult, addSubResult, cleanAfterSample, clone, connectEnd, createTestSample, createTestSample, currentTimeInMillis, getAllThreads, getAssertionResults, getBodySize, getBodySizeAsLong, getBytes, getBytesAsLong, getConnectTime, getContentType, getDataEncodingWithDefault, getDataType, getEndTime, getErrorCount, getFirstAssertionFailureMessage, getGroupThreads, getHeadersSize, getIdleTime, getLatency, getMediaType, getParent, getRequestHeaders, getResponseCode, getResponseData, getResponseDataAsString, getResponseHeaders, getResponseMessage, getResultFileName, getSampleCount, getSampleLabel, getSampleLabel, getSaveConfig, getSentBytes, getStartTime, getSubResults, getTestLogicalAction, getThreadName, getTime, getTimeStamp, getURL, getUrlAsString, isBinaryType, isIgnore, isMonitor, isRenameSampleLabel, isResponseCodeOK, isStampedAtStart, isStartNextThreadLoop, isStopTest, isStopTestNow, isStopThread, isSuccessful, latencyEnd, markFile, removeAssertionResults, removeSubResults, sampleEnd, samplePause, sampleResume, sampleStart, setAllThreads, setBodySize, setBodySize, setBytes, setBytes, setConnectTime, setContentType, setDataEncoding, setDataType, setEncodingAndType, setEndTime, setErrorCount, setGroupThreads, setHeadersSize, setIdleTime, setIgnore, setLatency, setMonitor, setParent, setRequestHeaders, setResponseCode, setResponseCodeOK, setResponseData, setResponseData, setResponseData, setResponseHeaders, setResponseMessage, setResponseMessageOK, setResponseOK, setResultFileName, setSampleCount, setSampleLabel, setSamplerData, setSaveConfig, setSentBytes, setStampAndTime, setStartNextThreadLoop, setStartTime, setStopTest, setStopTestNow, setStopThread, setSuccessful, setTestLogicalAction, setThreadName, setTimeStamp, setURL, storeSubResult, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPSampleResult

          public HTTPSampleResult()

    - #### HTTPSampleResult

          public HTTPSampleResult(long elapsed)

    - #### HTTPSampleResult

          public HTTPSampleResult(HTTPSampleResult res)

      Construct a 'parent' result for an already-existing result, essentially cloning it
      Parameters:
        `res` - existing sample result

  - ### Method Detail

    - #### setHTTPMethod

          public void setHTTPMethod(String method)

    - #### getHTTPMethod

          public String getHTTPMethod()

    - #### setRedirectLocation

          public void setRedirectLocation(String redirectLocation)

    - #### getRedirectLocation

          public String getRedirectLocation()

    - #### isRedirect

          public boolean isRedirect()

      Determine whether this result is a redirect. Returns true for: 301,302,303 and 307(GET or HEAD)
      Returns:
        true iff res is an HTTP redirect response

    - #### getSamplerData

          public String getSamplerData()

      Overrides version in Sampler data to provide more details

      Overrides:
        `getSamplerData` in class `SampleResult`

    - #### getCookies

          public String getCookies()

      Returns:
        cookies as a string

    - #### setCookies

          public void setCookies(String string)

      Parameters:
        `string` - representing the cookies

    - #### getQueryString

          public String getQueryString()

      Fetch the query string
      Returns:
        the query string

    - #### setQueryString

          public void setQueryString(String string)

      Save the query string
      Parameters:
        `string` - the query string

    - #### getDataEncodingWithDefault

          public String getDataEncodingWithDefault(String defaultEncoding)

      Overrides the method from SampleResult - so the encoding can be extracted from the Meta content-type if necessary. Updates the dataEncoding field if the content-type is found.
      Overrides:
        `getDataEncodingWithDefault` in class `SampleResult`
      Parameters:
        `defaultEncoding` - Default encoding used if there is no data encoding
      Returns:
        the dataEncoding value as a String

    - #### getDataEncodingNoDefault

          public String getDataEncodingNoDefault()

      Overrides the method from SampleResult - so the encoding can be extracted from the Meta content-type if necessary. Updates the dataEncoding field if the content-type is found.
      Overrides:
        `getDataEncodingNoDefault` in class `SampleResult`
      Returns:
        the dataEncoding value as a String

    - #### setResponseNoContent

          public void setResponseNoContent()

    - #### getSearchableTokens

          public List<String> getSearchableTokens()
                                           throws Exception

      Description copied from interface: `Searchable`
      Get a list of all tokens that should be visible to searching
      Specified by:
        `getSearchableTokens` in interface `Searchable`
      Overrides:
        `getSearchableTokens` in class `SampleResult`
      Returns:
        List of searchable tokens
      Throws:
        `Exception` - when something fails while getting the searchable tokens

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.